Bug 439605 - Browser-Plugin Problems
Browser-Plugin Problems
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Fitzsimmons
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 11:38 EDT by Reindl Harald
Modified: 2008-05-02 10:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-29 16:17:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reindl Harald 2008-03-29 11:38:43 EDT
Hi - I'm using openjdk under F8 instead of iced-tea 
It works better than icedtea because some errors using zend stuido for eclipse
gone away, but i have never get run the firefox-plugin - it does not matter if
using icedtea or openjdk

So this is the only reason installing suns java on my machines :-(
Im using firefox from mozilla.org because
https://bugzilla.redhat.com/show_bug.cgi?id=432728

It would be fine get openjdk get running with mozilla.orgs firefox under Fedora8
 because kde4 from fedora9 will take a while for me using it on the workstation

http://www.java.com/de/download/installed.jsp

[harry@nb-rhsoft:~]$ firefox
GCJ PLUGIN: thread 0xa10d108: NP_GetMIMEDescription
GCJ PLUGIN: thread 0xa10d108: NP_GetMIMEDescription return
GCJ PLUGIN: thread 0xa10d108: NP_GetValue
GCJ PLUGIN: thread 0xa10d108: NP_GetValue: returning plugin name.
GCJ PLUGIN: thread 0xa10d108: NP_GetValue return
GCJ PLUGIN: thread 0xa10d108: NP_GetValue
GCJ PLUGIN: thread 0xa10d108: NP_GetValue: returning plugin description.
GCJ PLUGIN: thread 0xa10d108: NP_GetValue return
GCJ PLUGIN: thread 0xa10d108: NP_Initialize
gcjwebplugin.cc:1450: thread 0xa10d108: Error: Invalid browser function table.
GCJ PLUGIN: thread 0xa10d108: NP_Shutdown
GCJ PLUGIN: thread 0xa10d108: NP_Shutdown return
GCJ PLUGIN: thread 0xa10d108: NP_GetMIMEDescription
GCJ PLUGIN: thread 0xa10d108: NP_GetMIMEDescription return
GCJ PLUGIN: thread 0xa10d108: NP_GetValue
GCJ PLUGIN: thread 0xa10d108: NP_GetValue: returning plugin name.
GCJ PLUGIN: thread 0xa10d108: NP_GetValue return
GCJ PLUGIN: thread 0xa10d108: NP_GetValue
GCJ PLUGIN: thread 0xa10d108: NP_GetValue: returning plugin description.
GCJ PLUGIN: thread 0xa10d108: NP_GetValue return
GCJ PLUGIN: thread 0xa10d108: NP_Initialize
gcjwebplugin.cc:1450: thread 0xa10d108: Error: Invalid browser function table.
GCJ PLUGIN: thread 0xa10d108: NP_Shutdown
GCJ PLUGIN: thread 0xa10d108: NP_Shutdown return
GCJ PLUGIN: thread 0xa10d108: NP_GetMIMEDescription
GCJ PLUGIN: thread 0xa10d108: NP_GetMIMEDescription return
GCJ PLUGIN: thread 0xa10d108: NP_GetValue
GCJ PLUGIN: thread 0xa10d108: NP_GetValue: returning plugin name.
GCJ PLUGIN: thread 0xa10d108: NP_GetValue return
GCJ PLUGIN: thread 0xa10d108: NP_GetValue
GCJ PLUGIN: thread 0xa10d108: NP_GetValue: returning plugin description.
GCJ PLUGIN: thread 0xa10d108: NP_GetValue return
GCJ PLUGIN: thread 0xa10d108: NP_Initialize
gcjwebplugin.cc:1450: thread 0xa10d108: Error: Invalid browser function table.
Comment 1 Lillian Angel 2008-04-23 11:13:19 EDT
I am not able to reproduce this problem on F8. Can you give me more information
about the version of firefox and java-1.6.0-openjdk you are using?
Comment 2 Reindl Harald 2008-04-28 16:04:40 EDT
Hi - Sorry for the delay :-(

[harry@srv-rhsoft:~]$ rpm -qa | grep openjdk
java-1.6.0-openjdk-1.6.0.0-0.9.b09.fc9

Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14
______________

Im using Firefox from mozilla.org because
https://bugzilla.redhat.com/show_bug.cgi?id=432728

But with F9 Rawhide and Firefox for distribution the plugin also works unstable,
will mean sometimes java-applets will work but most time pages says there is no
java installed

IcedTeas from Feodra 8 has the same trouble sand more because some apllications
have errors which are away with openjdk-package from Rawhide
Comment 3 Thomas Fitzsimmons 2008-04-29 16:17:29 EDT
http://www.java.com/de/download/installed.jsp

works for me on my x86 Rawhide machine with:

$ rpm -q java-1.6.0-openjdk-plugin
java-1.6.0-openjdk-plugin-1.6.0.0-0.9.b09.fc9.i386

$ rpm -q firefox
firefox-3.0-0.55.beta5.fc9.i386

Translated text, courtesy of Google Translate:

"Oops! You do not have the recommended Java version.
Your Java version is 1.6.0. Click on the button to your computer for the
recommended Java version."

So it is detecting gcjwebplugin running on OpenJDK 6.

You get "Invalid browser function table." errors because
java-1.6.0-openjdk-plugin is built against Rawhide's version of XULRunner.
Comment 4 Reindl Harald 2008-05-02 10:18:50 EDT
Maybe that it will not work on F8
But under Rawhide (in a vmware-server) i get only the checkpage from sun
running, as sample http://www.superchat.at/ (its a german chat) i got one time
running there, the next time the page says there is no java

Same with UnlimitedFTP (http://local.rhsoft.net/admin/ftp/)

In the next weeks after F9 is released i will get a new machine, my first one
with x86_64 and it would be nice if all things will run with Fedora-packages
especially there is no 64bit javaplugin from sun available

Note You need to log in before you can comment on or make changes to this bug.